/**
 * 桃竹苗頁面樣式
 *
 * @package mytheme
 */
/* base fee */

.base-fee-section {
  padding: 48px 0 59px;
}
.base-fee-wrap {
  position: relative;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  align-items: center;
  gap: 62px;
  text-align: center;
  font-family: Inter;
  margin: 30px auto;
  width: 100%;
}
.base-fee-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}
.base-fee-head-green {
  align-self: stretch;
  height: 62px;
  border-radius: 30px 30px 0px 0px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 11px 0px;
  box-sizing: border-box;
}
.base-fee-title {
  position: relative;
  line-height: 40px;
  font-weight: 500;
  font-size: 20px;
  color: #fff;
}
.base-fee-text {
  align-self: stretch;
  height: 48px;
  position: relative;
  line-height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.base-fee-line {
  align-self: stretch;
  height: 1px;
  position: relative;
  border-top: 1px solid #000;
  box-sizing: border-box;
}
.base-fee-head {
  align-self: stretch;
  height: 62px;
  border-radius: 30px 30px 0px 0px;
  background-color: #ffac27;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 11px 0px;
  box-sizing: border-box;
}

.base-fee-section-des {
  max-width: 796px;
  margin-bottom: 30px;
  text-align: center;
}

/* flow */
.flow-section {
  padding: 127px 0 91px;
  background: rgba(238, 238, 238, 0.6);
}

.flow-section .inner-page-section-des {
  max-width: 1000px;
}
.flow-wrap {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
  align-content: center;
  gap: 24px 73px;
  text-align: center;
  margin-top: 30px;
  font-size: 20px;
  font-family: Inter;
}
.flow-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.flow-number-wrap {
  width: 54px;
  height: 54px;
  border-radius: 35px;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1px;
  box-sizing: border-box;
}
.flow-number {
  position: relative;
  line-height: 40px;
}
.flow-des {
  width: 100%;
  height: 48px;
  border-radius: 24px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 4px 37px;
  box-sizing: border-box;
  margin-top: -12px;
  position: relative;
  color: #fff;
}
.flow-text {
  flex: 1;
  position: relative;
  line-height: 40px;
  font-weight: 500;
  color: #fff;
}
.flow-des-orange {
  width: 100%;
  height: 48px;
  border-radius: 24px;
  background-color: #ffac27;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 4px 37px;
  box-sizing: border-box;
  margin-top: -12px;
  position: relative;
  color: #fff;
}

/* box */
.box-section {
  position: relative;
  padding: 130px 0 172px;
}
.box-right-dec {
  position: absolute;
  top: 172px;
  right: calc(13vw - 180px);
  width: calc(25vw - 80px);
}
.box-wrap {
  position: relative;
  display: flex;
  align-items: center;
  gap: 68px;
  text-align: center;
  font-family: Inter;
  margin: 30px auto 28px;
}
.box-item {
  width: 222px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.box-red-highlight-text,
.special-red-highlight-text {
  color: #b10000;
  font-weight: 500;
  font-size: 20px;
}
.box-head {
  align-self: stretch;
  height: 44px;
  border-radius: 60px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px 10px;
  box-sizing: border-box;
}

.green-border {
  border-radius: 60px;
  border: 2px solid #53bf6f;
  background-color: transparent;
}
.box-title {
  position: relative;
  line-height: 40px;
  font-size: 20px;
  color: #fff;
}

.green-title {
  color: #53bf6f;
}
.box-inner {
  width: 168px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}
.box-text {
  width: 208px;
  position: relative;
  line-height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.box-line {
  width: 223px;
  height: 1px;
  position: relative;
  border-top: 1px solid #000;
  box-sizing: border-box;
  flex-shrink: 0;
}
.box-des {
  display: flex;
  align-items: center;
  gap: 12px;
  flex-shrink: 0;
}
.box-icon {
  width: 24px;
  position: relative;
  max-height: 100%;
}
.box-head {
  align-self: stretch;
  height: 44px;
  border-radius: 60px;
  border: 2px solid #53bf6f;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px 10px;
}

/* premium */
.premium-section {
  justify-self: center;
  width: fit-content;
  padding: 55px 46px 84px;
  border-radius: 65px;
  background: #fff;
  box-shadow: 0 4px 32.7px 0 rgba(0, 0, 0, 0.25);
}
.premium-wrap {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 50px;
  text-align: center;
  font-family: Inter;
  margin: 30px auto;
}
.premium-box {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.premium-head {
  width: 265px;
  height: 265px;
  flex-shrink: 0;
  border-radius: 300px;
  background:
    linear-gradient(#fff, #fff) padding-box,
    linear-gradient(180deg, #ffac27, #53bf6f) border-box;
  border: 11px solid transparent;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
}
.premium-title {
  position: relative;
  line-height: 40px;
  font-weight: 500;
  font-size: 20px;
}

.premium-text-wrap {
  display: flex;
  flex-direction: column;
  width: 100%;
}
.premium-text {
  align-self: stretch;
  height: 80px;
  position: relative;
  line-height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.premium-inner {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 11px;
}
.premium-note {
  align-self: stretch;
  height: 34px;
  border-radius: 60px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px 17px;
  box-sizing: border-box;
}
.premium-note-text {
  position: relative;
  line-height: 40px;
  flex-shrink: 0;
  color: #fff;
  font-size: 20px;
}

/* special */
.special-section {
  margin-top: 130px;
  padding: 100px 0 68px;
  background-image: url(../../images/north_central_special_bg.webp);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.special-wrap {
  margin: 30px auto;
  position: relative;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  align-items: flex-start;
  gap: 24px;
  text-align: center;
  font-family: Inter;
}
.special-box {
  align-self: stretch;
  display: flex;
  align-items: center;
  gap: 20px;
}
.special-head-orange {
  height: 74px;
  width: 200px;
  border-radius: 0px 60px 60px 100px;
  background-color: #ffc72b;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.special-title-black {
  position: relative;
  line-height: 40px;
}
.special-des-text {
  width: 419px;
  position: relative;
  line-height: 40px;
  text-align: left;
  display: flex;
  align-items: center;
  flex-shrink: 0;
}
.special-cost-wrap {
  display: flex;
  align-items: center;
  gap: 9px;
}
.special-cost-head-green {
  height: 34px;
  width: 86px;
  border-radius: 60px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px 17px;
  box-sizing: border-box;
  color: #fff;
}
.special-cost-title-white {
  position: relative;
  line-height: 40px;
  flex-shrink: 0;
  font-size: 20px;
  color: #fff;
}
.special-cost-inner {
  position: relative;
}

.diffrence-style {
  color: #fff;
}

.diffrence-style-text {
  color: #000;
}
.special-head-green {
  height: 74px;
  width: 200px;
  border-radius: 0px 60px 60px 100px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.special-cost-head-yellow {
  height: 34px;
  width: 86px;
  border-radius: 60px;
  background-color: #ffc62b;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px 17px;
  box-sizing: border-box;
}

.special-green-border-container {
  border: 4px solid #53bf6f;
  border-radius: 60px;
  background: #fff;
  padding: 15px 64px;
}

/* vas */
.vas-section {
  padding: 160px 0 186px;
}
.vas-wrap {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 30px;
  text-align: center;
  font-family: Inter;
  margin: 30px auto;
}
.vas-box {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;
}
.vas-des-wrap {
  align-self: stretch;
  display: flex;
  align-items: center;
  gap: 17px;
}
.vas-head {
  height: 50px;
  width: 339px;
  border-radius: 46px;
  border: 2px solid #5a8164;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
}
.vas-title {
  position: relative;
  font-weight: 500;
  flex-shrink: 0;
  color: #5a8164;
  font-size: 20px;
}
.vas-des-text {
  position: relative;
  text-align: left;
}
.vas-cost-wrap {
  display: flex;
  align-items: flex-start;
  gap: 17px;
}
.vas-money-icon {
  width: 32px;
  position: relative;
  max-height: 100%;
}
.vas-cost-text {
  position: relative;
  line-height: 40px;
}

@media (max-width: 480px) {
  .base-fee-section {
    padding: 0 0 28px;
  }

  .base-fee-wrap {
    grid-template-columns: repeat(2, 1fr);
    margin: 20px auto 28px;
    gap: 20px 24px;
  }
  .base-fee-box {
    gap: 8px;
  }

  .mobile-orange-bg {
    background-color: #ffac27;
  }

  .mobile-green-bg {
    background-color: #53bf6f;
  }

  .base-fee-head,
  .base-fee-head-green {
    height: 28px;
    border-radius: 10px 10px 0 0;
  }

  .base-fee-title {
    font-size: 14px !important;
  }

  .base-fee-text {
    height: auto;
  }

  .base-fee-section-des {
    margin-bottom: 28px;
  }

  /* flow */
  .flow-section {
    padding: 36px 0;
  }

  .flow-wrap {
    margin: 20px auto 0;
    grid-template-columns: repeat(1, 1fr);
    gap: 24px;
  }

  .flow-number-wrap {
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
    width: 40px;
    height: 40px;
  }

  .flow-number {
    font-size: 16px;
    line-height: 24px;
  }

  .flow-des,
  .flow-des-orange {
    height: 28px;
  }

  .flow-text {
    font-weight: 400;
  }

  /* box */
  .box-section {
    padding: 64px 0;
  }
  .box-wrap {
    margin: 20px auto;
    gap: 36px;
    flex-direction: column;
  }

  .box-head {
    height: 28px;
  }

  .box-item {
    gap: 16px;
  }

  .box-inner {
    width: 100%;
  }

  .box-icon {
    width: 16px;
    height: 16px;
  }

  .box-text {
    width: 100%;
    flex: 1;
  }

  .box-red-highlight-text {
    margin-bottom: 20px;
  }

  .north-central-box-dec-rwd {
    width: 200px;
    height: auto;
  }

  /* premium */
  .premium-section {
    padding: 26px 14px 30px;
    border-radius: 12px;
    max-width: 326px;
  }

  .premium-section .inner-page-section-des {
    max-width: 248px;
  }

  .premium-wrap {
    margin: 20px auto 28px;
    gap: 20px;
    flex-direction: column;
    align-items: flex-start;
    max-width: 298px;
  }

  .premium-box {
    flex-direction: row;
    gap: 16px;
  }

  .premium-head {
    width: 90px;
    height: 90px;
  }

  .premium-title {
    line-height: 1.15;
  }

  .premium-text-wrap {
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  .premium-inner {
    gap: 8px;
  }

  .premium-text {
    height: auto;
    justify-content: flex-start;
  }

  .premium-note {
    width: 150px;
    height: 14px;
  }

  .premium-note-text {
    line-height: 1 !important;
  }

  /* special */
  .special-section {
    padding: 36px 0;
    margin-top: 28px;
    background-image: url(../../images/north_central_special_rwd.webp);
  }

  .special-wrap {
    grid-template-columns: repeat(2, 1fr);
    margin: 24px auto;
  }

  .special-box {
    flex-direction: column;
    gap: 9px;
    max-width: 128px;
  }

  .special-des-text {
    width: 100%;
    height: 34px;
    align-items: flex-start;
  }

  .special-head-orange,
  .special-head-green {
    width: 100%;
    max-width: 128px;
    height: 37px;
  }

  .special-cost-wrap {
    flex-direction: column;
    gap: 9px;
    width: 100%;
  }

  .special-cost-head-green,
  .special-cost-head-yellow {
    width: 100%;
    height: 18px;
  }

  .special-title-black {
    font-weight: 500;
  }

  .mobile-green-style {
    background-color: #53bf6f;
  }

  .mobile-white-style {
    color: #fff;
  }

  .mobile-green-pay {
    background-color: #ffc72b;
  }

  .mobile-black-text {
    color: #000;
  }

  .special-green-border-container {
    width: 292px;
    height: 42px;
    border: 2px solid #53bf6f;
    padding: 0;
    align-content: center;
    justify-items: center;
  }

  /* vas */
  .vas-section {
    padding: 28px 0 52px;
  }
  .vas-wrap {
    margin: 24px auto 28px;
    gap: 25.5px;
  }

  .vas-box {
    max-width: 254px;
    align-items: center;
  }

  .vas-des-wrap {
    flex-direction: column;
    gap: 9.5px;
  }

  .vas-cost-wrap {
    width: 100%;
    max-width: 170px;
    align-items: center;
  }

  .vas-head {
    width: 100%;
    height: 28px;
  }

  .vas-money-icon {
    width: 18px;
    height: auto;
  }

  .vas-cost-text {
    flex: 1;
  }
}
